Download it now!
Bug 50730 - : SVG is stored uncompressed in libreoffice opendocument files
Summary: : SVG is stored uncompressed in libreoffice opendocument files
Status: RESOLVED DUPLICATE of bug 71622
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-05 06:51 UTC by sergio.callegari
Modified: 2014-07-24 19:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2012-06-05 06:51:59 UTC
Problem description: 

Steps to reproduce:

1. Create a text document
2. Import an svg image into it
3. Save the file
4. Try to compress the file with zip

Current behavior:

The file saved by libreoffice compresses a lot (often more than 50%). This is due to the fact that the svg image in it is saved uncompressed by libreoffice.  This can be checked with zipinfo: the svg image is stored, not deflated.

However, SVG is uncompressed XML. Often HUGE. Meant to be compressed. From wikipedia: "SVG images and their behaviors are defined in XML text files. This means that they can be searched, indexed, scripted, and, if need be, compressed."

Expected behavior:

The opendocument files produced by libreoffice are not compressible (not that much, anyway). They are already zip files. Their redundancies should have been removed by zipping.

Specifically, one expects that svg images are deflated into the libreoffice files, meaning that the resulting opendocument file are compact.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:12.0) Gecko/20100101 Firefox/12.0
Comment 1 bfoman (inactive) 2013-01-09 10:20:12 UTC
I'll mark this as enhancement request.
Comment 2 sergio.callegari 2013-01-15 10:07:00 UTC
Should it be marked as NEW too?
Comment 3 sergio.callegari 2013-02-02 12:29:33 UTC
Since this is very easy to verify, vector graphics is more and more widely used, and no-one wants files that take more space than needed on (paid) cloud storage, sd cards or usb-pen-disks, I'm changing unconfirmed -> new.
Comment 4 Urmas 2013-02-02 13:10:41 UTC
It's not 'enhancement,' one can reasonably expect compression in a ZIP file.
Comment 5 Jorendc 2014-07-24 19:36:28 UTC
Actually bug 71622 is a dupe, but because the commit that fixed the issue I'll mark this one as duplicate of it. Otherwise it'll be difficult to link and track changes etc.

Good news is that it is fixed ;-).

Kind regards,
Joren

*** This bug has been marked as a duplicate of bug 71622 ***